Skip to main content
Resource Center/Network Service/Network Service Operations/VPC Firewall Operations
POSTVPC Firewall OperationsSince 4.0.0SynchronousAuth Required

CreateFirewallIpSetTemplate

CreateFirewallIpSetTemplate

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The name of the template.

    • sourceValueString

      Optional.

    • destValueString

      Optional.

    • typeIpSetTypeRequired

      类型。

    • resourceUuidString

      Optional. The UUID of the template.

    • tagUuidsList

      Optional. The user tags.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVpcFirewallIpSetTemplateInventoryRequired

    See inventory

    • nameStringRequired

      The name of the template.

    • sourceValueStringRequired

      源值。

    • destValueStringRequired

      No description provided.

    • createDateTimestampRequired

      The time when the template was created.

    • lastOpDateTimestampRequired

      The time when the template was last modified.

    • accountUuidStringRequired

      The account UUID.

    • uuidStringRequired

      The template UUID.

    • typeIpSetTypeRequired

      See type

      • ipIpSetTypeRequired

        来源IP地址。

      • portIpSetTypeRequired

        端口号。

Endpoint

POST/zstack/v1/vpcfirewalls/ipset/templates

/zstack/v1/vpcfirewalls/ipset/templates

Operation ID

CreateFirewallIpSetTemplate

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/vpcfirewalls/ipset/templates' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","sourceValue":"<sourceValue>","destValue":"<destValue>","type":"<type>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "ipset-template", "sourceValue": "192.168.1.2", "destValue": "192.168.1.1,10.0.0.1/24", "type": "ip" } }

Change History

This API has no change history records yet.

View all change history